.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0);
    display: block;
    z-index:2000;
    transition: background 0.5s ease;
    pointer-events:none;
}
#stop-tips {
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: #ff0000;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    z-index: 3002;
}
.overlay.visible {
    background: rgba(0, 0, 0, 0.5);
    pointer-events: all;

}

.tooltip {
    position: absolute;
    background-color: #007bff;
    color: #fff;
    padding: 10px;
    border-radius: 5px;
    display: none;
    z-index:3000;
    text-align: center;
    width: 400px;
    opacity: 0;
    transition: opacity 0.5s ease, top 0.5s ease;

}

.tooltip.visible {
    opacity: 1;
}

.tooltip::after {
    content: '';
    position: absolute;
    left: 50%;
    margin-left: -10px;
    border-width: 10px;
    border-style: solid;
}

.tooltip.top::after {
    top: 100%;
    border-color: #007bff transparent transparent transparent;
}

.tooltip.bottom::after {
    bottom: 100%;
    border-color: transparent transparent #007bff transparent;
}
.centered-tooltip {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: orange;
    color: #000000;
    padding: 20px;
    border-radius: 10px;
    display: none;

    text-align: center;
    opacity: 0;
    transition: opacity 0.5s ease;
    z-index: 3000;

}

.centered-tooltip.visible {
    display: block;
    opacity: 1;
}

.centered-tooltip button {
    margin-top: 10px;
    background-color: #fff;
    color: orange;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    z-index: 3000;

}

.centered-tooltip button:hover {
    background-color: black;
}
.tooltip button {
    margin-top: 10px;
    background-color: #fff;
    color: #007bff;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    z-index: 3000;

}

.tooltip button:hover {
    background-color: #e6e6e6;
}

.highlight {
    position: relative;
    z-index: 2001;
}
